com.mysql.jdbc

## Class LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler

- java.lang.Object
- - com.mysql.jdbc.LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Direct Known Subclasses:
  FailoverConnectionProxy.FailoverInvocationHandler

Enclosing class:
  LoadBalancingConnectionProxy

    protected class LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

### Field Summary

Fields
`(package private) java.lang.Object` `invokeOn`

### Constructor Summary

Constructors
Constructor and Description
`LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler(java.lang.Object toInvokeOn)`

### Method Summary

Methods
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### invokeOn

    java.lang.Object invokeOn

### Constructor Detail

#### LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler

    public LoadBalancingConnectionProxy.ConnectionErrorFiringInvocationHandler(java.lang.Object toInvokeOn)

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                          java.lang.reflect.Method method,
                          java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`